Bug 182973 - [PATCH] databases/mdbtools: update to 0.7.1
Summary: [PATCH] databases/mdbtools: update to 0.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-14 16:50 UTC by Rainer Hurling
Modified: 2013-11-10 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (17.02 KB, patch)
2013-10-14 16:50 UTC, Rainer Hurling
no flags Details | Diff
patch-databases__libgda3.txt (479 bytes, patch)
2013-11-10 18:02 UTC, Rainer Hurling
no flags Details | Diff
patch-databases__libgda3-mdb.txt (381 bytes, patch)
2013-11-10 18:02 UTC, Rainer Hurling
no flags Details | Diff
patch-databases__libgda4-mdb.txt (720 bytes, patch)
2013-11-10 18:02 UTC, Rainer Hurling
no flags Details | Diff
patch-databases__libgda5-mdb.txt (500 bytes, patch)
2013-11-10 18:02 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2013-10-14 16:50:00 UTC
This update for databases/mdbtools from 0.5 to 0.7.1 brings a lot of bugfixes and some new features. In particular memo fields are handled much better than its predecessor did.

- A post-release patch fixes parallel builds
- USES iconv
- Support STAGEDIR


If there are no objections against it, I would like to take maintainership for the port.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-11-09 03:43:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski 2013-11-10 11:38:56 UTC
If mdbtools is updated it is going to break the following ports:

Path:      /usr/ports/databases/libgda3-mdb
Path:       /usr/ports/databases/libgda4-mdb
Path:       /usr/ports/databases/libgda5-mdb
Path:       /usr/ports/databases/pecl-mdbtools

Could you please make sure they work with newer version of mdbtools first?

Thank you

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 Rainer Hurling freebsd_committer 2013-11-10 18:02:00 UTC
Thanks for the hint. I was not aware of the libgda problems.

Attached are some patches, which should apply cleanly and work with
mdbtools-0.7.1.

What I did _not_ do with these libgda patches (only tried to get
mdbtools working):

- no support for STAGEDIR
- no conversion of LIB_DEPENDS to new syntax except for libmdbsql.so

Because of this, I CC'ed marcus@ (hope, this is ok)



### ---------

With databases/pecl-mdbtools it is a totally other situation. I brings
its own version of mdbtools (fork?), see

http://pecl.php.net/package/mdbtools

As far as I can see, this version conflicts with databases/mdbtools (and
had been before).
For me it seems, there is something wrong in this port: If it not founds
${LOCALBASE}/lib/libmdb.a, it tries to install
${PORTSDIR}/databases/mdbtools. And afterwards, it breaks in the build ...

Or do I misunderstood the port?
Comment 4 dfilter service freebsd_committer 2013-11-10 19:18:51 UTC
Author: wg
Date: Sun Nov 10 19:18:42 2013
New Revision: 333427
URL: http://svnweb.freebsd.org/changeset/ports/333427

Log:
  databases/mdbtools: update to 0.7.1
  
  - Update to 0.7.1
  - Chase API change in dependent ports
  - Allow staging
  - Add LICENSE (GPLv2)
  - Pass maintainership to submitter
  
  PR:		ports/182973
  Submitted by:	Rainer Hurling <rhurlin gwdg.de>

Added:
  head/databases/mdbtools/files/patch-src__sql__Makefile.am   (contents, props changed)
Deleted:
  head/databases/mdbtools/files/patch-backend.c
  head/databases/mdbtools/files/patch-configure
  head/databases/mdbtools/files/patch-include_mdbsql.h
  head/databases/mdbtools/files/patch-include_mdbtools.h
  head/databases/mdbtools/files/patch-jet4rows
  head/databases/mdbtools/files/patch-ltmain.sh
  head/databases/mdbtools/files/patch-src_gmdb2_debug.c
  head/databases/mdbtools/files/patch-src_gmdb2_gmdb.h
  head/databases/mdbtools/files/patch-src_gmdb2_sql.c
  head/databases/mdbtools/files/patch-src_sql_parser.y
  head/databases/mdbtools/files/patch-write.c
Modified:
  head/databases/libgda3-mdb/Makefile
  head/databases/libgda3/Makefile
  head/databases/libgda4-mdb/Makefile
  head/databases/libgda5-mdb/Makefile
  head/databases/mdbtools/Makefile
  head/databases/mdbtools/distinfo
  head/databases/mdbtools/pkg-descr
  head/databases/mdbtools/pkg-plist

Modified: head/databases/libgda3-mdb/Makefile
==============================================================================
--- head/databases/libgda3-mdb/Makefile	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/libgda3-mdb/Makefile	Sun Nov 10 19:18:42 2013	(r333427)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 #   $MCom: ports/databases/libgda3-mdb/Makefile,v 1.2 2008/02/26 21:23:34 kwm Exp $
 
-PORTREVISION?=	1
+PORTREVISION?=	2
 CATEGORIES=	databases gnome
 PKGNAMESUFFIX?=	-mdb
 
@@ -17,4 +17,9 @@ PLIST=		${.CURDIR}/pkg-plist
 LIBGDA3_SLAVE=	mdb
 
 NO_STAGE=	yes
+
+post-extract:
+	@${REINPLACE_CMD} -e 's|MDB_SDATETIME|MDB_DATETIME|g' \
+		${WRKSRC}/providers/mdb/util.c
+
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/libgda3/Makefile
==============================================================================
--- head/databases/libgda3/Makefile	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/libgda3/Makefile	Sun Nov 10 19:18:42 2013	(r333427)
@@ -84,7 +84,7 @@ CONFIGURE_ARGS+=	--without-tds
 .endif
 
 .if ${LIBGDA3_SLAVE}=="mdb"
-LIB_DEPENDS+=		mdbsql.0:${PORTSDIR}/databases/mdbtools
+LIB_DEPENDS+=		libmdbsql.so:${PORTSDIR}/databases/mdbtools
 CONFIGURE_ARGS+=	--with-mdb=${LOCALBASE}
 .else
 CONFIGURE_ARGS+=	--without-mdb

Modified: head/databases/libgda4-mdb/Makefile
==============================================================================
--- head/databases/libgda4-mdb/Makefile	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/libgda4-mdb/Makefile	Sun Nov 10 19:18:42 2013	(r333427)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 #   $MCom: ports/databases/libgda4-mdb/Makefile,v 1.5 2012/03/13 01:34:31 mezz Exp $
 
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	databases gnome
 PKGNAMESUFFIX=	4-mdb
 
@@ -17,4 +17,11 @@ PLIST=		${.CURDIR}/pkg-plist
 LIBGDA4_SLAVE=	mdb
 
 NO_STAGE=	yes
+
+post-extract:
+	@${REINPLACE_CMD} -e 's|MDB_SDATETIME|MDB_DATETIME|g' \
+		${WRKSRC}/providers/mdb/gda-mdb-provider.c \
+		${WRKSRC}/providers/mdb/libmdb-src/include/mdbtools.h \
+		${WRKSRC}/providers/mdb/libmdb-src/data.c
+
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/libgda5-mdb/Makefile
==============================================================================
--- head/databases/libgda5-mdb/Makefile	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/libgda5-mdb/Makefile	Sun Nov 10 19:18:42 2013	(r333427)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 #   $MCom: ports/trunk/databases/libgda5-mdb/Makefile 18610 2013-06-30 16:33:05Z marcus $
 
-PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	databases gnome
 PKGNAMESUFFIX=	5-mdb
 
@@ -17,4 +17,11 @@ PLIST=		${.CURDIR}/pkg-plist
 LIBGDA5_SLAVE=	mdb
 
 NO_STAGE=	yes
+
+post-extract:
+	@${REINPLACE_CMD} -e 's|MDB_SDATETIME|MDB_DATETIME|g' \
+		${WRKSRC}/providers/mdb/gda-mdb-provider.c \
+		${WRKSRC}/providers/mdb/libmdb-src/include/mdbtools.h \
+		${WRKSRC}/providers/mdb/libmdb-src/data.c
+
 .include "${MASTERDIR}/Makefile"

Modified: head/databases/mdbtools/Makefile
==============================================================================
--- head/databases/mdbtools/Makefile	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/mdbtools/Makefile	Sun Nov 10 19:18:42 2013	(r333427)
@@ -2,47 +2,65 @@
 # $FreeBSD$
 
 PORTNAME=	mdbtools
-PORTVERSION=	0.5
-PORTREVISION=	14
+PORTVERSION=	0.7.1
 CATEGORIES=	databases
-MASTER_SITES=	SF
+MASTER_SITES=	https://github.com/brianb/mdbtools/archive/
+DISTNAME=	${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	rhurlin@gwdg.de
 COMMENT=	Utilities and libraries to export data from MS Access databases (.mdb)
 
-# To build man-pages
-BUILD_DEPENDS=	gawk:${PORTSDIR}/lang/gawk
+LICENSE=	GPLv2
 
-USES=		bison pkgconfig
-USE_AUTOTOOLS=	libtool
+# To build man-pages
+BUILD_DEPENDS=	gawk:${PORTSDIR}/lang/gawk \
+		txt2man:${PORTSDIR}/textproc/txt2man
+LIB_DEPENDS=	libiodbc.so:${PORTSDIR}/databases/libiodbc
+
+FETCH_ARGS?=	-Fpr
+USES=		bison pkgconfig iconv
+USE_AUTOTOOLS=	libtool autoconf automake
+USE_LDCONFIG=	yes
 USE_GNOME=	glib20
 WANT_GNOME=	yes
 GNU_CONFIGURE=	yes
-USE_LDCONFIG=	yes
+CONFIGURE_ARGS=	--with-libiconv-prefix=${LOCALBASE} \
+		--with-iodbc=${LOCALBASE}
 
 DOCS=		AUTHORS ChangeLog HACKING NEWS README TODO
-MAN1=		mdb-ver.1 mdb-tables.1 mdb-schema.1 mdb-sql.1 mdb-export.1
 
-NO_STAGE=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+OPTIONS_DEFINE=	DOCS
+
 .include <bsd.port.pre.mk>
 
 .if ${HAVE_GNOME:Mlibgnomeui}!=""
 USE_XORG=	x11
 USES+=		pathfix
-USE_GNOME+=	gnomeprefix libgnomeui
-PKGNAMESUFFIX=	-gnome
+USE_GNOME+=	gnomeprefix libgnomeui gconf2 intltool
+.endif
+
+.if ${ARCH} == "amd64" || ${ARCH} == "ia64"
+CFLAGS+=	-fpic
 .endif
 
 post-patch:
+	@${REINPLACE_CMD} -e \
+		's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|g' \
+		${WRKSRC}/Makefile.am
 	@${REINPLACE_CMD} -e 's|$$(srcdir)/$$<|$$(srcdir)/$$>|g' \
+		${WRKSRC}/doc/Makefile.am
+
+pre-configure:
+	@cd ${WRKSRC} && ${AUTORECONF} -if
+
+post-configure:
+	@${REINPLACE_CMD} -e 's|^install-man:.*|install-man: install-man1|' \
 		${WRKSRC}/doc/Makefile.in
 
-.if !defined(NOPORTDOCS)
 post-install:
-	@${MKDIR} ${DOCSDIR}
-.for f in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f}  ${DOCSDIR}
-.endfor
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${DOCS:S,^,${WRKSRC}/,}  ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.post.mk>

Modified: head/databases/mdbtools/distinfo
==============================================================================
--- head/databases/mdbtools/distinfo	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/mdbtools/distinfo	Sun Nov 10 19:18:42 2013	(r333427)
@@ -1,2 +1,2 @@
-SHA256 (mdbtools-0.5.tar.gz) = 7a5db39fecff5ce4fb91e019acf5795b40221aff09bbd6d84f8dec60f017b05d
-SIZE (mdbtools-0.5.tar.gz) = 396485
+SHA256 (0.7.1.tar.gz) = dcf310dc7b07e7ad2f9f6be16047dc81312cfe1ab1bd94d0fa739c8059af0b16
+SIZE (0.7.1.tar.gz) = 277257

Added: head/databases/mdbtools/files/patch-src__sql__Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/mdbtools/files/patch-src__sql__Makefile.am	Sun Nov 10 19:18:42 2013	(r333427)
@@ -0,0 +1,8 @@
+--- src/sql/Makefile.am.orig	2013-10-13 10:51:24.000000000 +0200
++++ src/sql/Makefile.am	2013-10-13 21:14:21.000000000 +0200
+@@ -1,3 +1,5 @@
++BUILT_SOURCES = parser.h
++AM_YFLAGS = -d
+ lib_LTLIBRARIES	=	libmdbsql.la
+ libmdbsql_la_SOURCES=	mdbsql.c parser.y lexer.l 
+ libmdbsql_la_LDFLAGS = -version-info 2:0:0 -export-symbols-regex '^mdb_sql_'

Modified: head/databases/mdbtools/pkg-descr
==============================================================================
--- head/databases/mdbtools/pkg-descr	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/mdbtools/pkg-descr	Sun Nov 10 19:18:42 2013	(r333427)
@@ -11,3 +11,4 @@ You can list catalog entries. There is s
 utility. And you can export data out to CSV (comma separated value) format. 
 
 WWW: http://mdbtools.sourceforge.net/
+WWW: https://github.com/brianb/mdbtools/

Modified: head/databases/mdbtools/pkg-plist
==============================================================================
--- head/databases/mdbtools/pkg-plist	Sun Nov 10 19:16:24 2013	(r333426)
+++ head/databases/mdbtools/pkg-plist	Sun Nov 10 19:18:42 2013	(r333427)
@@ -1,39 +1,52 @@
 %%GNOME:%%bin/gmdb2
 bin/mdb-array
-bin/mdb-dump
 bin/mdb-export
 bin/mdb-header
+bin/mdb-hexdump
 bin/mdb-parsecsv
+bin/mdb-prop
 bin/mdb-schema
 bin/mdb-sql
 bin/mdb-tables
 bin/mdb-ver
-bin/prcat
-bin/prdata
-bin/prdump
-bin/prindex
-bin/prkkd
-bin/prole
-bin/prtable
-bin/updrow
 %%GNOME:%%include/gmdb.h
-include/mdbodbc.h
 include/mdbsql.h
 include/mdbtools.h
+include/mdbver.h
+man/man1/gmdb2.1.gz
+man/man1/mdb-array.1.gz
+man/man1/mdb-export.1.gz
+man/man1/mdb-header.1.gz
+man/man1/mdb-hexdump.1.gz
+man/man1/mdb-parsecsv.1.gz
+man/man1/mdb-prop.1.gz
+man/man1/mdb-schema.1.gz
+man/man1/mdb-sql.1.gz
+man/man1/mdb-tables.1.gz
+man/man1/mdb-ver.1.gz
 lib/libmdb.a
 lib/libmdb.la
 lib/libmdb.so
-lib/libmdb.so.0
+lib/libmdb.so.2
+lib/libmdbodbc.a
+lib/libmdbodbc.la
+lib/libmdbodbc.so
+lib/libmdbodbcW.a
+lib/libmdbodbcW.la
+lib/libmdbodbcW.so
 lib/libmdbsql.a
 lib/libmdbsql.la
 lib/libmdbsql.so
-lib/libmdbsql.so.0
+lib/libmdbsql.so.2
+libdata/pkgconfig/libmdb.pc
+libdata/pkgconfig/libmdbsql.pc
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/ChangeLog
 %%PORTDOCS%%%%DOCSDIR%%/HACKING
 %%PORTDOCS%%%%DOCSDIR%%/NEWS
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/TODO
+%%GNOME:%%share/gmdb/glade/COPYING
 %%GNOME:%%share/gmdb/glade/code.xpm
 %%GNOME:%%share/gmdb/glade/debug.xpm
 %%GNOME:%%share/gmdb/glade/form_big.xpm
@@ -43,8 +56,8 @@ lib/libmdbsql.so.0
 %%GNOME:%%share/gmdb/glade/gmdb-prefs.glade
 %%GNOME:%%share/gmdb/glade/gmdb-props.glade
 %%GNOME:%%share/gmdb/glade/gmdb-schema.glade
-%%GNOME:%%share/gmdb/glade/gmdb-sql-file.glade
 %%GNOME:%%share/gmdb/glade/gmdb-sql.glade
+%%GNOME:%%share/gmdb/glade/gmdb-tabledef.glade
 %%GNOME:%%share/gmdb/glade/gmdb.glade
 %%GNOME:%%share/gmdb/glade/logo.xpm
 %%GNOME:%%share/gmdb/glade/macro_big.xpm
@@ -59,6 +72,7 @@ lib/libmdbsql.so.0
 %%GNOME:%%share/gmdb/glade/stock_export.png
 %%GNOME:%%share/gmdb/glade/table.xpm
 %%GNOME:%%share/gmdb/glade/table_big.xpm
+%%GNOME:%%share/gnome/help/gmdb/C/figures/gmdb2_sql_window.png
 %%GNOME:%%share/gnome/help/gmdb/C/figures/gmdb2_window.png
 %%GNOME:%%share/gnome/help/gmdb/C/gmdb.xml
 %%GNOME:%%share/gnome/help/gmdb/C/legal.xml
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-11-10 19:18:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!